TINC-GUI(8)

NAME
tinc-gui - tinc GUI

SYNOPSIS
tinc-gui [-n] [--net=NETNAME] [--pidfile=FILENAME] [--help]

DESCRIPTION
This is a Python/wxWidgets based graphical user interface for tinc, a secure virtual private network (VPN) project. tinc-gui communicates with tincd(8) to alter and inspect the running VPN's state. It can show the current settings, the list of connections, nodes, subnets, and edges. For now, the debug level can be changed from the GUI, and by right-clicking on a node in the list of connections, a pop-up menu will appear that allows one to disconnect that node.

OPTIONS

-n, --net=NETNAME
    Communicate with tincd(8) connected with NETNAME.

--pidfile=FILENAME
    Use the cookie from FILENAME to authenticate with a running tinc daemon. If unspecified, the default is /var/run/tinc.NETNAME.pid.

--help
    Display short list of options.

BUGS
The GUI is not finished yet, the final version will have much more functionality. If you find any bugs, report them to tinc@tinc-vpn.org.

SEE ALSO
tincd(8), http://www.tinc-vpn.org/.

The full documentation for tinc is maintained as a Texinfo manual. If the info and tinc programs are properly installed at your site, the command info tinc should give you access to the complete manual.

tinc comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details.

AUTHORS
Ivo Timmermans Guus Sliepen <guus@tinc-vpn.org>

And thanks to many others for their contributions to tinc!